<!DOCTYPE html>
<html lang="pt-br">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Cadastro</title>
    <script src="assets/js/vue.global.js"></script>
    <link rel="stylesheet" href="./assets/css/login.css"/>
</head>
<body>
    <div id="app">
        <h1>
            Cadastro de Novo Usuário
        </h1>
        <form>
            <label for="newUsername">Nome de Usuário:</label>
            <input type="text" v-model="newUsername" required>
            
            <label for="newPassword">Senha:</label>
            <input type="password" v-model="newPassword" required>
                
            <label for="confirmPassword">Confirma Senha:</label>
            <input type="password" v-model="confirmPassword" required>

            <button type="submit" @click.prevent="adicionarUsuario">Cadastrar</button>
        </form>
        <p>Usuário: {{usuario}}</p>
        <!-- <p>Senha: {{senha}}</p> -->
        <p class="erro" :class="{entrada: mostrarEntrada}">{{erro}}</p>
        <p class="sucesso" :class="{entrada: mostrarEntrada}">{{sucesso}}</p>
        <div class="buttonExclue">
            <button @click = "listarUsuarios">
                {{mostrarLista ? "Ocultar Lista" : "Mostrar Lista"}}
            </button>
            <!--Lista dos usuários cadastrados-->
            <ol v-if="mostrarLista">
                <li v-for="(usuario, index) in usuarios">
                    Usuário: {{usuario}}, Senha: {{senhas[index]}}
                    <button class="botao" @click="excluirUsuario(usuario)">excluir</button>
                </li>
            </ol>
        </div>
    </div>
    <script src="assets/js/process.js"></script>
</body>
</html>